Bug 714280 - libllvmcore-2.8.so.debug has no usable debug info
Summary: libllvmcore-2.8.so.debug has no usable debug info
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
(Show other bugs)
Version: 15
Hardware: x86_64 Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-17 19:12 UTC by Lars G
Modified: 2012-01-04 01:57 UTC (History)
2 users (show)

Fixed In Version: mesa-7.11.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-04 01:57:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lars G 2011-06-17 19:12:47 UTC
Description of problem:
when i try to debug programs that are using mesa dri i get:
"warning: "/usr/lib/debug/usr/lib64/dri/libllvmcore-2.8.so.debug": separate debug info file has no debug info"

Version-Release number of selected component (if applicable):
mesa*-7.11-0.11.20110525.0.fc15.x86_64

How reproducible:
install needed debuginfos.
launch program that uses mesa dri (blender 2.57b in my case) via gdb.
get the erratic behavior.

Comment 1 Patrice FERLET 2011-07-29 21:53:26 UTC
I have the same problem, for same debug to do "blender". Using radeon driver, blender crashes.

And gdb gave me the same output.

Anybody can help ?

Comment 2 Patrice FERLET 2011-07-29 22:01:54 UTC
It's a fedora problem:
https://bugs.freedesktop.org/show_bug.cgi?id=34495#c7
http://web.archiveorange.com/archive/v/hhSc5ATJw2HLBP1hh85L#lD5ZjDqNhyvqerW

I really need to correct this, I'm using blender for a work to do... If someone can give a sign

Comment 3 Fedora Update System 2011-12-07 20:25:36 UTC
mesa-7.11.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mesa-7.11.2-1.fc15

Comment 4 Fedora Update System 2011-12-10 20:01:22 UTC
Package mesa-7.11.2-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mesa-7.11.2-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16923/mesa-7.11.2-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-01-04 01:57:58 UTC
mesa-7.11.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.